#global _internal_version  d9f4fcd

Name:          muffin
Version:       2.4.1
Release:       1%{?dist}
Summary:       Window and compositing manager based on Clutter

Group:         User Interface/Desktops
License:       GPLv2+
URL:           https://github.com/linuxmint/muffin
#Because linuxmint upstream refuses to host pristine upstream tarballs
# To generate tarball
# wget https://github.com/linuxmint/muffin/archive/%%{version}.tar.gz -O muffin-%%{version}.tar.gz
# for git
# wget https://github.com/linuxmint/muffin/tarball/%%{_internal_version} -O muffin-%%{version}.git%%{_internal_version}.tar.gz
#Source0:       http://leigh123linux.fedorapeople.org/pub/muffin/source/muffin-%%{version}.git%%{_internal_version}.tar.gz
Source0:       http://leigh123linux.fedorapeople.org/pub/muffin/source/muffin-%{version}.tar.gz

# revert ibus change
# https://github.com/linuxmint/muffin/commit/19397761a8b57823b236320f8da9a706bbf09d79
# to fix https://bugzilla.redhat.com/show_bug.cgi?id=1082118
Patch0:        revert_ibus.patch
Patch1:        remove_muffin_binary.patch

BuildRequires: pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(cinnamon-desktop) >= 2.3.0
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: zenity
# Bootstrap requirements
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: intltool

Requires: dbus-x11
Requires: zenity

%description
Muffin is a window and compositing manager that displays and manages
your desktop via OpenGL. Muffin combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Muffin can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as Cinnamon. 
For this reason, Muffin is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.

%prep
%autosetup -p1

echo "AC_CONFIG_MACRO_DIR([m4])" >> configure.ac
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static \
           --enable-compile-warnings=minimum

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1

%install
%{make_install}

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt
%{_libdir}/libmuffin.so.*
%{_libdir}/muffin/
%{_datadir}/glib-2.0/schemas/org.cinnamon.muffin.gschema.xml

%files devel
%{_bindir}/muffin-theme-viewer
%{_bindir}/muffin-window-demo
%{_datadir}/muffin/
%{_includedir}/muffin/
%{_libdir}/libmuffin.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/muffin-theme-viewer.1.*
%{_mandir}/man1/muffin-window-demo.1.*

%changelog
* Sat Nov 08 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.1-1
- update to 2.4.1

* Fri Oct 31 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-1
- update to 2.4.0

* Thu Oct 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.2.gitd9f4fcd
- update to latest git

* Tue Sep 30 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.0-0.1.gita9a68ed
- update to latest git

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.6-2
- Rebuilt for gobject-introspection 1.41.4

* Fri Jun 27 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.6-1
- update to 2.2.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.5-1
- update to 2.2.5

* Tue May 20 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.4-1
- update to 2.2.4

* Thu May 15 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-3
- patch to remove unused binaries to clean debug package
  
* Wed May 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-2
- remove unused binaries (bz 1097542)

* Sun May 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.3-1
- update to 2.2.3

* Fri May 02 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.2-1
- update to 2.2.2

* Mon Apr 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.1-1
- update to 2.2.1

* Sat Apr 12 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-1
- update to 2.2.0

* Fri Apr 11 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-5
- revert ibus commit (bz 1082118)

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 2.0.5-4
- Rebuilt for cogl soname bump

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 2.0.5-3
- Rebuild for libevdev soname bump

* Thu Feb 06 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-2
- rebuilt for new cogl .so version

* Sun Nov 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.5-1
- update to 2.0.5

* Sun Nov 10 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.4-1
- update to 2.0.4

* Thu Oct 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.3-1
- update to 2.0.3

* Fri Oct 18 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.2-1
- update to 2.0.2

* Wed Oct 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.1-1
- update to 2.0.1

* Mon Oct 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-1
- update to 2.0.0

* Mon Sep 30 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.9.1-1
- update to 1.9.1

* Mon Sep 16 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.3-0.6.gitc13a698
- update to latest git

* Sun Aug 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.3-0.5.git6ead0af
- update to latest git
- Change buildrequires to cinnamon-desktop-devel
- drop upstream patch

* Thu Aug 22 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.3-0.4.git9611aa2
- rebuilt

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 1.8.3-0.3.git9611aa2
- Rebuilt for cogl 1.15.4 soname bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-0.2.git9611aa2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.3-0.1.git9611aa2
- rebase for muffin next

* Fri Jun 14 2013 leigh scott <leigh123linux@googlemail.com> - 1.8.2-2
- patch to fix bzr 957421

* Mon May 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.2-1
- Update to version 1.8.2
- drop merged patch

* Tue May 14 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-2
- add patch to fix dnd issue

* Sun May 12 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-1
- Update to version 1.8.1

* Thu May 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-3
- fix alt-tab keybinding

* Thu May 09 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-2
- revert some of the previous changes

* Wed May 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to version 1.8.0

* Thu Feb 21 2013 Kalev Lember <kalevlember@gmail.com> - 1.1.2-3
- Rebuilt for cogl soname bump

* Fri Jan 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-2
- rebuilt for new cogl .so version

* Wed Oct 24 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-1
- update to 1.1.2 release
- change build requires style

* Thu Sep 27 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.1-1
- update to 1.1.1 release

* Tue Sep 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.0-2
- rebuild

* Mon Sep 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.0-1
- update to 1.1.0 release
- drop cogl patch

* Fri Aug 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-4
- rebuilt for new cogl version
- patch for new cogl api

* Tue Aug 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-3
- update scriptlets
- move gir file to devel

* Tue Aug 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-2
- Fix unused-direct-shlib-dependency rpmlint warnings
- remove .gz extension from the man files

* Thu Jul 26 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-1
- update to 1.0.6 release

* Wed Jul 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.4-0.1.gitfcea2f1
- update to latest git snapshot
- drop patch
- remove gconf bits

* Mon May 28 2012 leigh scott <leigh123linux@googlemail.com> - 1.0.3-3
- add patch to fix black border issue

* Mon May 28 2012 leigh scott <leigh123linux@googlemail.com> - 1.0.3-2
- rebuilt

* Sat May 05 2012 leigh scott <leigh123linux@googlemail.com> - 1.0.3-1
- update to 1.0.3

* Wed Mar 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-2
- rebuilt

* Tue Mar 13 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-1
- update to 1.0.2

* Mon Mar 12 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-1
- update to 1.0.1 

* Mon Mar 12 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-3
- patch for gtk and cogl changes

* Thu Feb 02 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-2
- make review changes

* Wed Jan 04 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-1
- initial package based on fedora mutter srpm
